import QtQuick
import QtQuick.Controls 6.4
import QtQuick.Window 2.2

Rectangle {
    id: log
    width: 348
    height: 501
    visible: true
    color: "#EAEAEA"

    ScrollView {
        id: scrollArea
        visible: true
        anchors.fill: parent
        topPadding: 13.1
        ScrollBar.vertical.policy: ScrollBar.AlwaysOn

        TextArea {
            clip: false
            id: logTextArea
            wrapMode: TextEdit.Wrap
            rightInset: 20
            readOnly: true
            anchors.topMargin: 5
            placeholderText: qsTr("Application Logs")
        }

        Connections {
            target: backend
            function onLogsChanged(logs) {
                logTextArea.text = logs
                scrollArea.ScrollBar.vertical.position = 1.0 - scrollArea.ScrollBar.vertical.size
            }
        }
    }
}
